/*
 * Copyright (C) 2008-2010 by CERN
 *
 * Authors: Zsolt Molnar <zsolt.molnar@cern.ch, http://www.zsoltmolnar.hu>
 *
 * Objects for dependency injection of SRM services.
 * (see: http://en.wikipedia.org/wiki/Dependency_injection)
 *
 * The goal: make the LCG_Util logic unit-testable by decoupling from the real GFAL
 * calls. Unit tests then create mock objects and create response objects
 * without real soap call / network operations.
 */
#include "gfal_dependencies.h"

lcg_gfal_callers_t lcg_gfal_functions = {
    gfal_turlsfromsurls,
    gfal_ls,
    gfal_get_results,
    gfal_set_xfer_done,
    gfal_register_file,
    gfal_guidforpfn,
    gfal_file_next_replica,
    gfal_file_new,
    gfal_init
};
