/*
 * Copyright (C) 2005 by CERN
 * All rights reserved
 */

#ifndef lint
static char sccsid[] = "@(#)$RCSfile: lcg_ra.c,v $ $Revision: 1.15 $ $Date: 2008/11/10 12:38:16 $ CERN Jean-Philippe Baud";
#endif /* not lint */

/*	lcg_ra - remove an alias in RMC for a given GUID */
#include <errno.h>
#include <string.h>
#include <stdlib.h>
#include "gfal_api.h"
#include "lcg_util.h"

lcg_ra (char *lfn, char *guid, char *vo, char *conf_file, int insecure)
{
	return (lcg_ra2 (lfn, guid, 0, vo, NULL, 0));
}

lcg_rax (char *lfn, char *guid, char *vo, char *conf_file, int insecure,
	char *errbuf, int errbufsz)
{
	return (lcg_ra2 (lfn, guid, 0, vo, errbuf, errbufsz));
}

lcg_ra2 (char *lfn, char *guid, int nobdii, char *vo, char *errbuf, int errbufsz)
{
	char actual_lfn[GFAL_PATH_MAXLEN];

	if (lfn == NULL || guid == NULL) {
		errno = EFAULT;
		return (-1);
	}
	if (vo && vo[0]) {
		if (strlen (vo) > GFAL_VO_MAXLEN) {
			gfal_errmsg (errbuf, errbufsz, GFAL_ERRLEVEL_ERROR, "VO name too long.");
			errno = ENAMETOOLONG;
			return (-1);
		}
		if (gfal_set_vo (vo) < 0)
			return (-1);
	}

	if (canonical_url (lfn, "lfn", actual_lfn, GFAL_PATH_MAXLEN, errbuf, GFAL_ERRMSG_LEN) < 0)
		return (-1);

	gfal_set_nobdii (nobdii);

	if (strncmp (guid, "guid:", 5) == 0)
		guid += 5;	/* strip off guid prefix */

	return (unregister_alias (guid, actual_lfn + 4, errbuf, errbufsz));
}
